## kde4pimlibs 4.14.10

=== kmbox/CMakeLists.txt ===
project(kmbox)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

set(kmbox_LIB_SRCS
    mboxentry.cpp
    mbox_p.cpp
    mbox.cpp
)

add_subdirectory(tests)

add_library(kmbox ${LIBRARY_TYPE} ${kmbox_LIB_SRCS})
generate_export_header(kmbox)

include_directories(
  ${CMAKE_BINARY_DIR}/kmime
)

target_link_libraries(kmbox
  ${KDE4_KDECORE_LIBS}
  kmime
  kpimutils # TODO KF5 remove this
)

set_target_properties(kmbox PROPERTIES
  VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)
install(TARGETS kmbox EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kmbox_export.h
  mbox.h
  mboxentry.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmbox
  COMPONENT Devel
)

=== kmime/CMakeLists.txt ===
add_subdirectory( tests )
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=5320 -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII )
include(CheckTimezone)
configure_file (config-kmime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kmime.h)
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

########### next target ###############

set(kmime_LIB_SRCS
   kmime_charfreq.cpp
   kmime_util.cpp
   kmime_mdn.cpp
   kmime_codecs.cpp
   kmime_codec_base64.cpp
   kmime_codec_uuencode.cpp
   kmime_codec_qp.cpp
   kmime_codec_identity.cpp
   kmime_parsers.cpp
   kmime_header_parsing.cpp
   kmime_headerfactory.cpp
   kmime_content.cpp
   kmime_contentindex.cpp
   kmime_headers.cpp
   kmime_message.cpp
   kmime_newsarticle.cpp
   kmime_dateformatter.cpp
   boolflags.cpp
   kautodeletehash.cpp )


add_library(kmime ${LIBRARY_TYPE} ${kmime_LIB_SRCS})
generate_export_header(kmime)

target_link_libraries(kmime  ${KDE4_KDECORE_LIBS} )

set_target_properties(kmime PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS kmime EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install( FILES
         boolflags.h
         ${CMAKE_CURRENT_BINARY_DIR}/kmime_export.h
         kmime_charfreq.h
         kmime_codecs.h
         kmime_content.h
         kmime_contentindex.h
         kmime_header_parsing.h
         kmime_headers.h
         kmime_message.h
         kmime_mdn.h
         kmime_newsarticle.h
         kmime_dateformatter.h
         kmime_util.h
         DESTINATION ${INCLUDE_INSTALL_DIR}/kmime COMPONENT Devel)

=== kpimidentities/CMakeLists.txt ===

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

set(kpimidentities_LIB_SRCS identitymanager.cpp identity.cpp signature.cpp signatureconfigurator.cpp identitycombo.cpp)

add_subdirectory( tests )

qt4_add_dbus_adaptor(kpimidentities_LIB_SRCS org.kde.pim.IdentityManager.xml identitymanager.h KPIMIdentities::IdentityManager )

include_directories(
  ${CMAKE_BINARY_DIR}/kpimutils
  ${CMAKE_BINARY_DIR}/kpimtextedit
)

add_library(kpimidentities ${LIBRARY_TYPE} ${kpimidentities_LIB_SRCS})
generate_export_header(kpimidentities)

target_link_libraries(kpimidentities kpimutils ${KDE4_KIO_LIBS} kpimtextedit)

set_target_properties(kpimidentities PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS kpimidentities EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES org.kde.pim.IdentityManager.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})
install(FILES
        identity.h
        signature.h
        signatureconfigurator.h
        identitymanager.h
        identitycombo.h
        ${CMAKE_CURRENT_BINARY_DIR}/kpimidentities_export.h
        DESTINATION ${INCLUDE_INSTALL_DIR}/kpimidentities COMPONENT Devel)

=== mailtransport/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

include_directories(
  ${Boost_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}/akonadi
  ${CMAKE_BINARY_DIR}/akonadi/kmime
  ${CMAKE_BINARY_DIR}/kmime
)

option(MAILTRANSPORT_INPROCESS_SMTP "false" "Use in-process SMTP instead of KIO slaves (note that this changes the mailtransport license from LGPL to GPL!)")

add_subdirectory(kconf_update)
add_subdirectory(tests)

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5324)
add_definitions(-DUSES_DEPRECATED_MAILTRANSPORT_API) # for transportmanager
add_definitions(
  -DMAILTRANSPORT_DEPRECATED=
)
# This one won't be needed when CMake 2.8.13 is depended on.
add_definitions(
  -DMAILTRANSPORT_DEPRECATED_EXPORT=MAILTRANSPORT_EXPORT
)

if(MAILTRANSPORT_INPROCESS_SMTP)
  add_definitions("-DMAILTRANSPORT_INPROCESS_SMTP")
  include_directories(${SASL2_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/kioslave)
  set(mailtransport_lib_srcs
    ../kioslave/smtp/command.cpp
    ../kioslave/smtp/capabilities.cpp
    ../kioslave/smtp/request.cpp
    ../kioslave/smtp/response.cpp
    ../kioslave/smtp/transactionstate.cpp
    ../kioslave/smtp/smtpsessioninterface.cpp
    smtp/smtpsession.cpp
  )
endif()

set(mailtransport_lib_srcs
  ${mailtransport_lib_srcs}
  transport.cpp
  transportmanager.cpp
  transporttype.cpp

  transportcombobox.cpp
  transportconfigwidget.cpp

  filteractionjob.cpp
  transportjob.cpp
  resourcesendjob.cpp
  sendmailjob.cpp
  smtpjob.cpp
  precommandjob.cpp

  legacydecrypt.cpp
  socket.cpp
  servertest.cpp

  dispatcherinterface.cpp
  messagequeuejob.cpp
  outboxactions.cpp

  attributeregistrar.cpp
  dispatchmodeattribute.cpp
  errorattribute.cpp
  sentactionattribute.cpp
  sentbehaviourattribute.cpp
  transportattribute.cpp
  transportconfigdialog.cpp
  sendmailconfigwidget.cpp
  smtpconfigwidget.cpp

  transportlistview.cpp
  transportmanagementwidget.cpp
  addtransportdialog.cpp
)

kde4_add_ui_files(mailtransport_lib_srcs
  sendmailsettings.ui
  addtransportdialog.ui
  transportmanagementwidget.ui
)
if(KDEPIM_MOBILE_UI)
  kde4_add_ui_files(mailtransport_lib_srcs smtpsettings_mobile.ui)
else()
  kde4_add_ui_files(mailtransport_lib_srcs smtpsettings_desktop.ui)
endif()

kde4_add_kcfg_files(mailtransport_lib_srcs transportbase.kcfgc)

add_library(mailtransport ${LIBRARY_TYPE} ${mailtransport_lib_srcs})
generate_export_header(mailtransport)
target_link_libraries(mailtransport ${KDE4_KIO_LIBS} akonadi-kde akonadi-kmime kmime)
if(MAILTRANSPORT_INPROCESS_SMTP)
  target_link_libraries(mailtransport ${SASL2_LIBRARIES} kpimutils)
endif()

set_target_properties(mailtransport PROPERTIES
  VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS mailtransport EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES mailtransport.kcfg DESTINATION ${KCFG_INSTALL_DIR})

set(mailtransport_kcm_srcs configmodule.cpp)
kde4_add_plugin(kcm_mailtransport ${mailtransport_kcm_srcs})
target_link_libraries(kcm_mailtransport ${KDE4_KDEUI_LIBS} mailtransport)

install(TARGETS kcm_mailtransport DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_mailtransport.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/mailtransport_export.h

  transportjob.h
  sendmailjob.h
  smtpjob.h
  precommandjob.h
  socket.h

  ${CMAKE_CURRENT_BINARY_DIR}/transportbase.h
  transport.h
  transportmanager.h
  transporttype.h
  servertest.h

  transportcombobox.h
  transportconfigdialog.h
  transportmanagementwidget.h

  dispatcherinterface.h
  messagequeuejob.h

  dispatchmodeattribute.h
  errorattribute.h
  sentactionattribute.h
  sentbehaviourattribute.h
  transportattribute.h

  DESTINATION ${INCLUDE_INSTALL_DIR}/mailtransport COMPONENT Devel
)

=== microblog/CMakeLists.txt ===
project(microblog)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5328)
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

include_directories (${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIR} ${QT_INCLUDES})

set(microblog_LIB_SRCS
   statusitem.cpp
   )

include_directories(
  ${CMAKE_BINARY_DIR}/kpimutils
)

add_library(microblog ${LIBRARY_TYPE} ${microblog_LIB_SRCS})
generate_export_header(microblog)

target_link_libraries(microblog ${KDE4_KDECORE_LIBS} ${QT_QTXML_LIBRARY} kpimutils )

set_target_properties(microblog PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS microblog EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install( FILES
         statusitem.h
         ${CMAKE_CURRENT_BINARY_DIR}/microblog_export.h
         DESTINATION ${INCLUDE_INSTALL_DIR}/microblog COMPONENT Devel)

=== qgpgme/CMakeLists.txt ===

set( _any_gpgme_found false )

set( _qgpgme_version 1.0.1 )
set( _qgpgme_soversion 1 )

if ( WIN32 AND GPGME_VANILLA_FOUND )

   # on Windows, we require gpgme(-vanilla), which is thread-safe,
   # and we don't provide gpgme-qt support

   set( _any_gpgme_found true )
   set( _qgpgme_libgpgme gpgmepp )
   #set( _qgpgme_extra_src eventloopinteractor_win.cpp )

endif()

if ( NOT WIN32 AND GPGME_PTHREAD_FOUND )

   # on Unix, we requrie gpgme-pthread (for convenience, since vanilla
   # gpgme isn't thread-aware, and we don't want to restrict clients
   # of qgpgme to non-threaded useage of gpgme)

   set( _any_gpgme_found true )
   set( _qgpgme_libgpgme gpgmepp-pthread )
   set( _qgpgme_extra_src eventloopinteractor.cpp eventloopinteractor_unix.cpp )
   set( _qgpgme_extra_headers eventloopinteractor.h )

endif()

# build / install only if any useable gpgme was found:

if ( _any_gpgme_found )

   include_directories( ${CMAKE_CURRENT_BINARY_DIR} ${GPGME_INCLUDES} ${CMAKE_SOURCE_DIR}/gpgme++ ${Boost_INCLUDE_DIR} )

   add_subdirectory( tests )

   set( qgpgme_LIB_SRCS
        dataprovider.cpp
        ${_qgpgme_extra_src}
   )

   add_library( qgpgme ${LIBRARY_TYPE} ${qgpgme_LIB_SRCS} )
   generate_export_header(qgpgme)

   target_link_libraries( qgpgme ${QT_QTCORE_LIBRARY} ${_qgpgme_libgpgme} )

   set_target_properties( qgpgme PROPERTIES
     VERSION ${_qgpgme_version}
     SOVERSION ${_qgpgme_soversion}
   )

   install( TARGETS qgpgme EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

   install( FILES
     ${CMAKE_CURRENT_BINARY_DIR}/qgpgme_export.h
     ${_qgpgme_extra_headers}
     dataprovider.h 
     DESTINATION ${INCLUDE_INSTALL_DIR}/qgpgme COMPONENT Devel )

endif()

=== akonadi/calendar/CMakeLists.txt ===

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)


# TODO: Add a cmake option for this and enable it on jenkins
set( PLEASE_TEST_INVITATIONS FALSE)
if ( PLEASE_TEST_INVITATIONS )
  add_definitions( -DPLEASE_TEST_INVITATIONS )
endif()

add_subdirectory( tests )

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)

set(akonadicalendar_LIB_SRC
  blockalarmsattribute.cpp
  calendarbase.cpp
  calendarclipboard.cpp
  calendarmodel.cpp
  calfilterproxymodel_p.cpp
  etmcalendar.cpp
  history.cpp
  history_p.cpp
  icalimporter.cpp
  incidencefetchjob_p.cpp
  incidencechanger.cpp
  incidencechanger_p.cpp
  itiphandler.cpp
  itiphandler_p.cpp
  itiphandlerhelper_p.cpp
  kcolumnfilterproxymodel.cpp
  fetchjobcalendar.cpp
  freebusydownloadjob_p.cpp
  freebusymanager.cpp
  freebusyproviderbase.cpp
  mailclient_p.cpp
  mailscheduler_p.cpp
  publishdialog.cpp
  publishdialog_p.cpp
  scheduler_p.cpp
  standardcalendaractionmanager.cpp
  todopurger.cpp
  utils_p.cpp
)

include_directories(
  ${CMAKE_BINARY_DIR}/kpimutils
  ${CMAKE_BINARY_DIR}/kmime
  ${CMAKE_BINARY_DIR}/kcalcore
  ${CMAKE_BINARY_DIR}/kcalutils
  ${CMAKE_BINARY_DIR}/akonadi
  ${CMAKE_BINARY_DIR}/mailtransport
  ${CMAKE_BINARY_DIR}/kpimidentities
  ${CMAKE_BINARY_DIR}/akonadi/contact
  ${CMAKE_BINARY_DIR}/akonadi/kmime
  ${CMAKE_BINARY_DIR}/kabc
)

kde4_add_kcfg_files(akonadicalendar_LIB_SRC calendarsettings.kcfgc)
kde4_add_ui_files(akonadicalendar_LIB_SRC publishdialog_base.ui)

qt4_add_dbus_adaptor( akonadicalendar_LIB_SRC ../interfaces/org.freedesktop.Akonadi.Resource.FreeBusyProvider.xml freebusyproviderbase_p.h Akonadi::FreeBusyProviderBasePrivate freebusyprovideradaptor  Akonadi__FreeBusyProviderAdaptor )
add_library(akonadi-calendar ${LIBRARY_TYPE} ${akonadicalendar_LIB_SRC})
if(CMAKE_MINIMUM_REQUIRED_VERSION VERSION_LESS 2.8.12)
  set_property(TARGET akonadi-calendar PROPERTY DEFINE_SYMBOL akonadi_calendar)
endif()
generate_export_header(akonadi-calendar
  BASE_NAME akonadi_calendar
  EXPORT_FILE_NAME akonadi-calendar_export.h
)

target_link_libraries(akonadi-calendar
                      akonadi-contact
                      akonadi-kmime
                      akonadi-kde
                      kpimidentities
                      kpimutils
                      kcalcore
                      kcalutils
                      kmime
                      mailtransport
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_KIO_LIBS}
                      ${KDE4_PHONON_LIBS})

set_target_properties(akonadi-calendar PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS akonadi-calendar EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install( FILES
  ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_export.h
  blockalarmsattribute.h
  calendarbase.h
  calendarclipboard.h
  etmcalendar.h
  history.h
  icalimporter.h
  incidencechanger.h
  itiphandler.h
  fetchjobcalendar.h
  freebusymanager.h
  freebusyproviderbase.h
  publishdialog.h
  standardcalendaractionmanager.h
  todopurger.h
  ${CMAKE_CURRENT_BINARY_DIR}/calendarsettings.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/akonadi/calendar COMPONENT Devel
)

=== akonadi/tests/CMakeLists.txt ===
if(${EXECUTABLE_OUTPUT_PATH})
    set( PREVIOUS_EXEC_OUTPUT_PATH ${EXECUTABLE_OUTPUT_PATH} )
else()
    set( PREVIOUS_EXEC_OUTPUT_PATH . )
endif()
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
set( TEST_RESULT_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/testresults )
file(MAKE_DIRECTORY ${TEST_RESULT_OUTPUT_PATH})

option(KDEPIMLIBS_TESTS_XML "Use XML files for the test results, instead of plain text." FALSE)
option(KDEPIMLIBS_RUN_SQLITE_ISOLATED_TESTS "Run isolated tests with sqlite3 as backend" TRUE)
option(KDEPIMLIBS_RUN_MYSQL_ISOLATED_TESTS "Run isolated tests with MySql as backend" FALSE)
option(KDEPIMLIBS_RUN_PGSQL_ISOLATED_TESTS "Run isolated tests with PostgreSQL as backend" FALSE)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${AKONADI_INCLUDE_DIR}
  ${AKONADI_INCLUDE_DIR}/akonadi/private
  ${Boost_INCLUDE_DIR}
  ${QJSON_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}/akonadi
  ${CMAKE_BINARY_DIR}/akonadi
  ${CMAKE_BINARY_DIR}/akonadi/kmime
  ${CMAKE_BINARY_DIR}/kmime
)

# add testrunner (application for managing a self-contained test
# environment)

add_subdirectory(etm_test_app)
add_subdirectory(testrunner)
add_subdirectory(testresource)
add_subdirectory(testsearchplugin)

# add benchmarker
add_subdirectory(benchmarker)

# convenience macro to add akonadi demo application
macro(add_akonadi_demo _source)
  set(_test ${_source})
  get_filename_component(_name ${_source} NAME_WE)
  kde4_add_executable(${_name} TEST ${_test})
  target_link_libraries(${_name} akonadi-kde akonadi-kmime ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS})
endmacro()

# convenience macro to add akonadi qtestlib unit-tests
macro(add_akonadi_test _source)
  set(_test ${_source})
  get_filename_component(_name ${_source} NAME_WE)
  kde4_add_unit_test(${_name} TESTNAME akonadi-${_name} ${_test})
  target_link_libraries(${_name} akonadi-kde akonadi-kmime akonaditestfake ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} ${AKONADI_COMMON_LIBRARIES} ${QJSON_LIBRARIES})
endmacro()

include(../AkonadiMacros.cmake)

# akonadi test fake library
set(akonaditestfake_xml ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.NotificationManager.xml)
set_source_files_properties(${akonaditestfake_xml} PROPERTIES INCLUDE "notificationmessagev3_p.h")
qt4_add_dbus_interface( akonaditestfake_srcs ${akonaditestfake_xml} notificationmanagerinterface )

set(akonaditestfake_xml ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.NotificationSource.xml)
set_source_files_properties(${akonaditestfake_xml} PROPERTIES INCLUDE "notificationmessagev3_p.h")
qt4_add_dbus_interface( akonaditestfake_srcs ${akonaditestfake_xml} notificationsourceinterface )

add_library(akonaditestfake STATIC
  ${akonaditestfake_srcs}
  fakeakonadiservercommand.cpp
  fakesession.cpp
  fakemonitor.cpp
  fakeserverdata.cpp
  modelspy.cpp
  fakeentitycache.cpp
  inspectablemonitor.cpp
  inspectablechangerecorder.cpp
)

# demo applications
add_akonadi_demo(itemdumper.cpp)
add_akonadi_demo(subscriber.cpp)
add_akonadi_demo(headfetcher.cpp)
add_akonadi_demo(agentinstancewidgettest.cpp)
add_akonadi_demo(agenttypewidgettest.cpp)
add_akonadi_demo(pluginloadertest.cpp)
add_akonadi_demo(selftester.cpp)
add_akonadi_demo(collectiondialog.cpp)

kde4_add_executable( akonadi-firstrun TEST ../firstrun.cpp firstrunner.cpp )
target_link_libraries( akonadi-firstrun akonadi-kde ${KDE4_KDEUI_LIBS} )

# qtestlib unit tests
add_akonadi_test(imapparsertest.cpp)
add_akonadi_test(imapsettest.cpp)
add_akonadi_test(itemhydratest.cpp)
add_akonadi_test(itemtest.cpp)
add_akonadi_test(itemserializertest.cpp)
add_akonadi_test(mimetypecheckertest.cpp)
add_akonadi_test(protocolhelpertest.cpp)
add_akonadi_test(entitytreemodeltest.cpp)
add_akonadi_test(monitornotificationtest.cpp)
add_akonadi_test(collectionutilstest.cpp)
add_akonadi_test(entitydisplayattributetest.cpp)
add_akonadi_test(proxymodelstest.cpp)
add_akonadi_test(actionstatemanagertest.cpp)
add_akonadi_test(sharedvaluepooltest.cpp)
add_akonadi_test(jobtest.cpp)
add_akonadi_test(searchquerytest.cpp)

# qtestlib tests that need non-exported stuff from akonadi-kde
kde4_add_unit_test(resourceschedulertest TESTNAME akonadi-resourceschedulertest resourceschedulertest.cpp ../resourcescheduler.cpp)
target_link_libraries(resourceschedulertest akonadi-kde ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} ${AKONADI_COMMON_LIBRARIES})


# testrunner tests
add_akonadi_isolated_test(testenvironmenttest.cpp)
add_akonadi_isolated_test(autoincrementtest.cpp)
add_akonadi_isolated_test(attributefactorytest.cpp)
add_akonadi_isolated_test(collectionjobtest.cpp)
add_akonadi_isolated_test(collectionpathresolvertest.cpp)
add_akonadi_isolated_test(collectionattributetest.cpp)
add_akonadi_isolated_test(itemfetchtest.cpp)
add_akonadi_isolated_test(itemappendtest.cpp)
add_akonadi_isolated_test(itemstoretest.cpp)
add_akonadi_isolated_test(itemdeletetest.cpp)
add_akonadi_isolated_test(entitycachetest.cpp)
add_akonadi_isolated_test(monitortest.cpp)
add_akonadi_isolated_test(monitorfiltertest.cpp)
add_akonadi_isolated_test(searchjobtest.cpp)
add_akonadi_isolated_test(changerecordertest.cpp)
add_akonadi_isolated_test(resourcetest.cpp)
add_akonadi_isolated_test(subscriptiontest.cpp)
add_akonadi_isolated_test(transactiontest.cpp)
add_akonadi_isolated_test(itemcopytest.cpp)
add_akonadi_isolated_test(itemmovetest.cpp)
add_akonadi_isolated_test(collectioncopytest.cpp)
add_akonadi_isolated_test(collectionmovetest.cpp)
add_akonadi_isolated_test(collectionsynctest.cpp)
add_akonadi_isolated_test(itemsynctest.cpp)
add_akonadi_isolated_test(linktest.cpp)
add_akonadi_isolated_test(cachetest.cpp)
# starting/stopping the server in the testenvironment doesn't seem to work, 
# and the test is not very critical (we'll notice if we can't start the server), so we disable it for now.
#add_akonadi_isolated_test(servermanagertest.cpp)
add_akonadi_isolated_test(collectioncreator.cpp)
add_akonadi_isolated_test(tagselectwidgettest.cpp)


# Having a benchmark is cool if you have any reference to compare against, but this
# benchmark takes over 40 seconds and does not have any real value to us atm. Major
# performance regressions would be spotted by devs anyway, so disabling for now.
#add_akonadi_isolated_test(itembenchmark.cpp)
add_akonadi_isolated_test(gidtest.cpp)
add_akonadi_isolated_test(lazypopulationtest.cpp)
add_akonadi_isolated_test(favoriteproxytest.cpp)
add_akonadi_isolated_test_advanced(itemsearchjobtest.cpp testsearchplugin/testsearchplugin.cpp "")
add_akonadi_isolated_test(tagtest.cpp)
add_akonadi_isolated_test(etmpopulationtest.cpp)

=== kblog/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
 
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. ${KDE4_KIO_INCLUDES} )
 
# ########### next target ###############
 
 set(testblogger1_SRCS testblogger1.cpp )
 
 
 kde4_add_unit_test(testblogger1 TESTNAME kblog-testblogger1 ${testblogger1_SRCS})
 
 target_link_libraries(testblogger1 ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} kblog)
 
# ########### next target ###############

set(testgdata_SRCS testgdata.cpp )

# FIXME: disabled as unit test, www.blogger.com apparently changed their API
kde4_add_executable(testgdata ${testgdata_SRCS})

target_link_libraries(testgdata ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} kblog)

# ########### next target ###############
 
 set(testmetaweblog_SRCS testmetaweblog.cpp )
 
 
 kde4_add_unit_test(testmetaweblog TESTNAME kblog-testmetaweblog ${testmetaweblog_SRCS})
 
 target_link_libraries(testmetaweblog ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} kblog)

# ########### next target ###############
 
 set(testmovabletype_SRCS testmovabletype.cpp )
 
 
 kde4_add_unit_test(testmovabletype TESTNAME kblog-testmovabletype ${testmovabletype_SRCS})
 
 target_link_libraries(testmovabletype ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} kblog)

# ########### next target ###############
 
 set(testwordpressbuggy_SRCS testwordpressbuggy.cpp )
 
 
 kde4_add_unit_test(testwordpressbuggy TESTNAME kblog-testwordpressbuggy ${testwordpressbuggy_SRCS})
 
 target_link_libraries(testwordpressbuggy ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} kblog)

# ########### next target ###############
 
#  set(testlivejournal_SRCS testlivejournal.cpp )
#  
#  
#  kde4_add_unit_test(testlivejournal TESTNAME kblog-testlivejournal ${testlivejournal_SRCS})
#  
#  target_link_libraries(testlivejournal ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} kblog)

# ########### next target ###############
 
 set(testblogpost_SRCS testblogpost.cpp )
 
 
 kde4_add_unit_test(testblogpost TESTNAME kblog-testblogpost ${testblogpost_SRCS})
 
 target_link_libraries(testblogpost ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} kblog)

# ########### next target ###############
 
 set(testblogmedia_SRCS testblogmedia.cpp )
 
 
 kde4_add_unit_test(testblogmedia TESTNAME kblog-testblogmedia ${testblogmedia_SRCS})
 
 target_link_libraries(testblogmedia ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} kblog)

# ########### next target ###############
 
 set(testblogcomment_SRCS testblogcomment.cpp )
 
 
 kde4_add_unit_test(testblogcomment TESTNAME kblog-testblogcomment ${testblogcomment_SRCS})
 
 target_link_libraries(testblogcomment ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} kblog)

=== kcalutils/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

MACRO(KCALUTILS_UNIT_TESTS)
  FOREACH(_testname ${ARGN})
    kde4_add_unit_test(${_testname} NOGUI ${_testname}.cpp)
    target_link_libraries(${_testname} ${KDE4_KDECORE_LIBS} kcalutils kcalcore ${QT_QTTEST_LIBRARY} ${QT_QTGUI_LIBRARY})
  ENDFOREACH(_testname)
ENDMACRO(KCALUTILS_UNIT_TESTS)

KCALUTILS_UNIT_TESTS(
  testdndfactory
  testincidenceformatter
  teststringify
)

=== kholidays/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(
  ${CMAKE_SOURCE_DIR}/kholidays
  ${CMAKE_BINARY_DIR}/kholidays
)

########### next target ###############

set(testlunar_SRCS testlunar.cpp)

kde4_add_unit_test(testlunar TESTNAME kholidays-testlunar ${testlunar_SRCS})

target_link_libraries(testlunar
  kholidays
  ${KDE4_KDECORE_LIBS}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTTEST_LIBRARY}
)

########### next target ###############

set(testseasons_SRCS testseasons.cpp)

kde4_add_unit_test(testseasons TESTNAME kholidays-testseasons ${testseasons_SRCS})

target_link_libraries(testseasons
  kholidays
  ${KDE4_KDECORE_LIBS}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTTEST_LIBRARY}
)

########### next target ###############

set(testsunriseset_SRCS testsunriseset.cpp)

kde4_add_unit_test(testsunriseset TESTNAME kholidays-testsunriseset ${testsunriseset_SRCS})

target_link_libraries(testsunriseset
  kholidays
  ${KDE4_KDECORE_LIBS}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTTEST_LIBRARY}
)

########### next target ###############

set(testzodiac_SRCS testzodiac.cpp)

kde4_add_unit_test(testzodiac TESTNAME kholidays-testzodiac ${testzodiac_SRCS})

target_link_libraries(testzodiac
  kholidays
  ${KDE4_KDECORE_LIBS}
  ${QT_QTTEST_LIBRARY}
)

########### next target ###############

set(testholidayregion_SRCS testholidayregion.cpp)

kde4_add_unit_test(testholidayregion TESTNAME kholidays-testholidayregion ${testholidayregion_SRCS})

target_link_libraries(testholidayregion
  kholidays
  ${KDE4_KDECORE_LIBS}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTTEST_LIBRARY}
)

=== kioslave/ldap/CMakeLists.txt ===
set(kio_ldap_PART_SRCS kio_ldap.cpp)


include_directories(
  ${CMAKE_BINARY_DIR}/kldap
)

kde4_add_plugin(kio_ldap ${kio_ldap_PART_SRCS})

target_link_libraries(kio_ldap  ${KDE4_KIO_LIBS} kldap)

install(TARGETS kio_ldap  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES ldap.protocol ldaps.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kde4pimlibs (4:4.14.10-1ubuntu2) wily; urgency=medium

  * Rip out akonadi files that conflict with the kf5 version of kdepimlibs
    + These are runtime things that depend on a working akonadi stack which is
    no longer available since the entie shebang moved to kf5 and the wire
    format of akonadi changed as part of this.

 -- Harald Sitter <sitter@kde.org>  Wed, 02 Sep 2015 09:13:25 +0200

kde4pimlibs (4:4.14.10-1ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.

  [ Harald Sitter ]
  * Rename source from kdepimlibs to kde4pimlibs for compatibility purposes we
    need the legacy kde4 version and the new kf5 version in the archive.
  * Adjust VCS fields
  * Make sure all breaks and replaces on kdepimlibs-data have a version
    it made a return in the kf5 packaging.
  * Rename packages to unconflict with kf5 version:
    + kdepimlibs-kio-plugins to kde4pimlibs-kio-plugins
    + kdepimlibs-dbg to kde4pimlibs-dbg
  * Merge with debian unstable

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 May 2015 07:21:55 -0700

kdepimlibs (4:4.14.10-1) unstable; urgency=medium

  * New upstream release (4.14.7).
  * Update copyright information.
  * New upstream release (4.14.8).
  * Update symbols files from buildds logs (4:4.14.6-1).
  * New upstream release (4.14.9).
  * New upstream release (4.14.10).
  * Update symbols files. (Closes: #777926)
  * Rename libgpgme++2 to v5 due to gcc5 transition.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Aug 2015 15:02:33 +0200

kdepimlibs (4:4.14.6-1) experimental; urgency=medium

  * New upstream release (4.14.6).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:48 +0200

kdepimlibs (4:4.14.6-0ubuntu6) wily; urgency=medium

  * Update symbols files for GCC 5.
  * Don't let dh_makeshlibs fail on the first symbols mismatch, but
    run it for all packages, and then fail on mismatch.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:29:10 +0000

kdepimlibs (4:4.14.6-0ubuntu2) wily; urgency=medium

  * Unversioned boost build dependency

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:07:02 +0000

kdepimlibs (4:4.14.6-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Update watch file
  * Add missing files to -dev / wrap-and-sort.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 15:04:47 -0700

kdepimlibs (4:4.14.5-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 Feb 2015 21:53:21 +0100

kdepimlibs (4:4.14.5-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix watch file.
  * Add missing files to kdepimlibs-dev
  * batchpatch symbols and removed 3 Missing per Riddell.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 11:27:38 -0800

kdepimlibs (4:4.14.4-0ubuntu2) vivid; urgency=medium

  * New upstream release. 
  * Fix watch file to match new applications location. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 04 Feb 2015 18:08:02 +0000

kdepimlibs (4:4.14.2-2) unstable; urgency=medium

  * Team upload.
  * Add new error code for ERR_SSL_FAILED to support fixing issue where
    connection via SSL using an unknown certificate could not be rejected
    (Closes: #769852)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 16 Nov 2014 22:35:39 -0500

kdepimlibs (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).
  * Update symbols files from buildds logs (4:4.14.1-1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:26 +0200

kdepimlibs (4:4.14.2-0ubuntu2) vivid; urgency=medium

  * No-change rebuild for new libical

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 06 Jan 2015 12:08:36 +0000

kdepimlibs (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Batchpatch symbols. New symbols.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 14:03:10 -0700

kdepimlibs (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).
  * Update symbols files from buildds logs (4:4.14.0-1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 19:01:01 +0200

kdepimlibs (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Batchpatch new symbols.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:47:36 +0200

kdepimlibs (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream applied patches: ship_akonaditest and ship_knut
  * Update build dependencies.
  * Update symbols file with 4:4.13.3-2 buildds logs.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 04:39:44 +0200

kdepimlibs (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:47:34 +0200

kdepimlibs (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream release candidate
  * Patched symbols libakonadi-contact4.symbols with batchpatch.

  [ Jonathan Riddell ]
  * Update symbols files

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:34:56 +0200

kdepimlibs (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Add a new symbol to libakonadi-kde4.symbols

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 25 Jul 2014 07:27:26 -0700

kdepimlibs (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Remove ship_akonaditest patch applied upstream
  * Remove ship_knut applied upstream

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 14:25:54 -0700

kdepimlibs (4:4.13.3-2) unstable; urgency=medium

  * Rename libkontactinterface4 to libkontactinterface4a, due to abi
    breakage. (Closes: #756376) Thanks to Thorsten Glaser



=== debian/control ===
Source: kde4pimlibs
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               dpkg-dev (>= 1.15.5),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.2),
               libakonadi-dev (>= 1.12.90~),
               libboost-dev (>= 1.34),
               libboost-graph-dev (>= 1.34.0~),
               libgpgme11-dev,
               libical-dev (>= 0.42),
               libldap2-dev,
               libprison-dev,
               libqjson-dev,
               libqt4-dev (>= 4:4.8),
               libsasl2-dev,
               libsoprano-dev (>= 2.7.56),
               libx11-dev,
               libxslt1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-mime-info (>= 0.30),
               uuid-dev,
               xsltproc
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://pim.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/krap/kde4pimlibs.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/kde4pimlibs.git

Package: kdepimlibs5-dev
Section: libdevel
Architecture: any
Depends: ${allLibraries},
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libakonadi-kde4},
         ${shlibs:Depends}
Replaces: kdepim-runtime (<< 4:4.13),
          kdepimlibs-data (<< 4:4.1.80),
          libkleopatra1-dev
Breaks: kdepim-runtime (<< 4:4.13),
        kdepimlibs-data (<< 4:4.1.80),
        libkleopatra1-dev
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kde4pimlibs-kio-plugins
Architecture: any
Depends: libsasl2-modules, ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs-data (<< 4:4.14.8),
          kdepimlibs-kio-plugins (<< 4:4.14.10),
          kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs-data (<< 4:4.14.8),
        kdepimlibs-kio-plugins (<< 4:4.14.10),
        kdepimlibs5 (<< 4:4.4.0)
Description: kio slaves used by KDE PIM applications
 This package contains the imap4, ldap, mbox, nntp, pop3, sieve and smtp kio
 slaves.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-contact4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepim-runtime (<< 4:4.4.0)
Breaks: kdepim-runtime (<< 4:4.4.0)
Description: Akonadi contacts access library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kabc4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: akonadi-kde (<< 4:4.1.80), kdepimlibs5 (<< 4:4.4.0)
Breaks: akonadi-kde (<< 4:4.1.80), kdepimlibs5 (<< 4:4.4.0)
Description: Akonadi address book access library
 This library provides address book manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kcal4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: akonadi-kde (<< 4:4.1.80), kdepim-runtime (<< 4:4.4.0)
Breaks: akonadi-kde (<< 4:4.1.80), kdepim-runtime (<< 4:4.4.0)
Description: Akonadi calendar access library
 This library provides calendar manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kde4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs-data (<< 4:4.14.8), kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs-data (<< 4:4.14.8), kdepimlibs5 (<< 4:4.4.0)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kmime4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs-data (<< 4:4.14.8), kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs-data (<< 4:4.14.8), kdepimlibs5 (<< 4:4.4.0)
Description: Akonadi MIME handling library
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-socialutils4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi resources for handling social feeds
 Akonadi resource types for social media related feeds.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-notes4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi notes access library
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-xml4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepim-runtime (<< 4:4.12.0)
Breaks: kdepim-runtime (<< 4:4.12.0)
Description: Akonadi XML helper library
 This library provides XML helpers using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libgpgme++2v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), libgpgme++2
Breaks: kdepimlibs5 (<< 4:4.4.0), libgpgme++2
Description: c++ wrapper library for gpgme
 GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
 (GnuPG Made Easy) library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkabc4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs-data (<< 4:4.14.8), kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs-data (<< 4:4.14.8), kdepimlibs5 (<< 4:4.4.0)
Description: library for handling address book data
 This library provides an API for address book data. It includes features
 such as:
  * Value based interface, addressbook entry data is implicitly shared.
  * Address book entries are identified by a unique id.
  * vCard backend (RFC 2425 / RFC 2426).
  * Locking mechanism to support concurrent access to the address book by
    multiple processes.
  * Notification on change of addressbook by other process.
  * Dialog for selecting address book entries, supports mouse and keyboard
    selection, supports automatic name completion.
  * GUI client for viewing, modifying address book data. This is aimed at
    developers not end users.
  * Tool for converting data, written with libkab, to libkabc format.
  * Multiple backends (resources) for storing entries e.g. LDAP
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkblog4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: client-side support library for web application remote blogging APIs
 KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
 MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
 and Syndication. It supports asynchronous sending and fetching of posts and,
 if supported on the server, multimedia files. Almost every modern blogging web
 application that provides an XML data interface supports one of the APIs
 mentioned above.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkalarmcal2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcal4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs-data (<< 4:4.14.8), kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs-data (<< 4:4.14.8), kdepimlibs5 (<< 4:4.4.0)
Description: library for handling calendar data
 This library provides access to and handling of calendar data. It supports
 the standard formats iCalendar and vCalendar and the group scheduling
 standard iTIP.
 .
 This library integrates with the deprecated KResource framework, and its use
 is discouraged in favour of KCalCore and KCalUtils.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcalcore4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling calendar data
 This library provides access to and handling of calendar data. It supports
 the standard formats iCalendar and vCalendar and the group scheduling
 standard iTIP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcalutils4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkholidays4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs-data (<< 4:4.14.8), kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs-data (<< 4:4.14.8), kdepimlibs5 (<< 4:4.4.0)
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkimap4
Architecture: any
Depends: libsasl2-modules, ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for handling IMAP data
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkldap4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkmbox4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-calendar4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkmime4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for handling MIME data

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),ia64)
    dqk_link_with_as_needed := no
endif

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = kdepimlibs5-dev kdepimlibs-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

override_dh_auto_test:
	# Disable dh_auto_test at build time

override_dh_makeshlibs:
	for p in $$(dh_listpackages -s); do \
	  echo dh_makeshlibs -p$$p; \
	  if ! dh_makeshlibs -p$$p; then \
	    fail=42; \
	  fi; \
	done; \
	exit $$fail

# Get rid of the dependency on kde{base,pim}-runtime
override_dh_shlibdeps:
	$(overridden_command) -- -xkdebase-runtime -xkde-runtime \
		-xkdepim-runtime -xkde4pimlibs-kio-plugins

override_dh_strip:
	$(overridden_command) --dbg-package=kde4pimlibs-dbg

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libxml2-utils,
         kde-runtime, tzdata, akonadi-server,
         oxygen-icon-theme
Restrictions: rw-build-tree

Tests: acc
Depends: @, @builddeps@,
         dh-acc, exuberant-ctags

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/15.04.3/src/kdepimlibs-([\d.]+).tar.xz
